org.apache.poi.xddf.usermodel.chart

## Class XDDFLegendEntry

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFLegendEntry

- All Implemented Interfaces:
    TextContainer

      @Beta
      public class XDDFLegendEntry
      extends java.lang.Object
      implements TextContainer

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFLegendEntry(org.openxmlformats.schemas.drawingml.x2006.chart.CTLegendEntry entry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R> java.util.Optional<R>` | `findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter)`
    `<R> java.util.Optional<R>` | `findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter)`
    `boolean` | `getDelete()`
    `XDDFChartExtensionList` | `getExtensionList()`
    `long` | `getIndex()`
    `XDDFTextBody` | `getTextBody()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTLegendEntry` | `getXmlObject()`
    `void` | `setDelete(java.lang.Boolean delete)`
    `void` | `setExtensionList(XDDFChartExtensionList list)`
    `void` | `setIndex(long index)`
    `void` | `setTextBody(XDDFTextBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFLegendEntry

          @Internal
          protected XDDFLegendEntry(org.openxmlformats.schemas.drawingml.x2006.chart.CTLegendEntry entry)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTLegendEntry getXmlObject()

    - #### getTextBody

          public XDDFTextBody getTextBody()

    - #### setTextBody

          public void setTextBody(XDDFTextBody body)

    - #### getDelete

          public boolean getDelete()

    - #### setDelete

          public void setDelete(java.lang.Boolean delete)

    - #### getIndex

          public long getIndex()

    - #### setIndex

          public void setIndex(long index)

    - #### setExtensionList

          public void setExtensionList(XDDFChartExtensionList list)

    - #### getExtensionList

          public XDDFChartExtensionList getExtensionList()

    - #### findDefinedParagraphProperty

          public <R> java.util.Optional<R> findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet,
                                                                        java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter)

      Specified by:
        `findDefinedParagraphProperty` in interface `TextContainer`

    - #### findDefinedRunProperty

          public <R> java.util.Optional<R> findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet,
                                                                  java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter)

      Specified by:
        `findDefinedRunProperty` in interface `TextContainer`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.